Description: Include a instance based config
Author: Markus Frosch <lazyfrosch@debian.org>
Last-Update: 2017-05-20
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/sample-config/pnp/config.php.in	2015-01-03 14:09:06.000000000 +0100
+++ b/sample-config/pnp/config.php.in	2017-05-20 17:21:56.852000000 +0200
@@ -89,7 +89,8 @@
 #
 # Link back to Nagios or Thruk ( www.thruk.org ) 
 #
-$conf['nagios_base'] = "/nagios/cgi-bin";
+## Debian: please see /etc/pnp4nagios/config.<NAME>.php
+##$conf['nagios_base'] = "/cgi-bin/nagios4";
 
 #
 # Link back to check_mk´s multisite ( http://mathias-kettner.de/checkmk_multisite.html )
@@ -272,4 +273,10 @@
                              '#F6E8C3','#C7EAE5','#DFC27D','#80CDC1','#BF812D','#35978F','#8C510A','#01665E');
 $scheme['mixed3']   = array ('#67001F','#80CDC1','#B2182B','#35978F','#D6604D','#01665E','#F4A582','#003C30',
                              '#FDDBC7','#92C5DE','#D1E5F0','#2166AC','#4393C3','#8C510A','#053061','#BF812D');
+
+if (file_exists('/etc/pnp4nagios/config.icinga.php')) {
+    include '/etc/pnp4nagios/config.icinga.php';
+} else if (file_exists('/etc/pnp4nagios/config.nagios4.php')) {
+    include '/etc/pnp4nagios/config.nagios4.php';
+}
 ?>
